## shmsink shmsink — Send data over shared memory to the matching source |

## Properties

guint | perms | Read / Write
guint | shm-size | Read / Write
gchar * | socket-path | Read / Write
gboolean | wait-for-connection | Read / Write
gint64 | buffer-time | Read / Write / Construct

## Signals

void | client-connected | Run Last
void | client-disconnected | Run Last

## Types and Values

struct | GstShmSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstShmSink

## Description

## Synopsis

### Element Information

plugin | shm
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Sink

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstShmSink

    struct GstShmSink;

## Property Details

### The `“perms”` property

      “perms”                    guint

Permissions to set on the shm area.

Flags: Read / Write

Allowed values: <= 4095

Default value: 416

### The `“shm-size”` property

      “shm-size”                 guint

Size of the shared memory area.

Flags: Read / Write

Default value: 67108864

### The `“socket-path”` property

      “socket-path”              gchar *

The path to the control socket used to control the shared memory transport. This may be modified during the NULL->READY transition.

Flags: Read / Write

Default value: NULL

### The `“wait-for-connection”` property

      “wait-for-connection”      gboolean

Block the stream until the shm pipe is connected.

Flags: Read / Write

Default value: TRUE

### The `“buffer-time”` property

      “buffer-time”              gint64

Maximum Size of the shm buffer in nanoseconds (-1 to disable).

Flags: Read / Write / Construct

Allowed values: >= G_MAXULONG

Default value: -1

## Signal Details

### The `“client-connected”` signal

    void
    user_function (GstShmSink *gstshmsink,
                   gint        arg1,
                   gpointer    user_data)

#### Parameters

gstshmsink | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“client-disconnected”` signal

    void
    user_function (GstShmSink *gstshmsink,
                   gint        arg1,
                   gpointer    user_data)

#### Parameters

gstshmsink | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last